-- run on Athena
create table swh_20210323.ctas_license_blobs
with (format='PARQUET') as
select distinct target as sha1_git, from_utf8(name) as name
from directory_entry
where
  type = 'file' and
  regexp_like(
    lower(from_utf8(name)),
    '^([a-z0-9._-]+\.)?(copying|licen(c|s)(e|ing)|notice|copyright|disclaimer|authors)(\.[a-z0-9\._-]+)?$'
  )
order by sha1_git, name;
